Package org.springframework.context.annotation

# Class ScopeMetadata

java.lang.Object
org.springframework.context.annotation.ScopeMetadata

public class ScopeMetadata extends Object
Describes scope characteristics for a Spring-managed bean including the scope name and the scoped-proxy behavior.

The default scope is "singleton", and the default is to not create scoped-proxies.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller
See Also:
  - `ScopeMetadataResolver`
  - `ScopedProxyMode`

## Constructor Summary

Constructors
Constructor
Description
`ScopeMetadata()`

## Method Summary

Modifier and Type
Method
Description
`ScopedProxyMode`
`getScopedProxyMode()`
Get the proxy-mode to be applied to the scoped instance.
`String`
`getScopeName()`
Get the name of the scope.
`void`
`setScopedProxyMode(ScopedProxyMode scopedProxyMode)`
Set the proxy-mode to be applied to the scoped instance.
`void`
`setScopeName(String scopeName)`
Set the name of the scope.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScopeMetadata

public ScopeMetadata()

## Method Details

### setScopeName

public void setScopeName(String scopeName)
Set the name of the scope.

### getScopeName

public String getScopeName()
Get the name of the scope.

### setScopedProxyMode

public void setScopedProxyMode(ScopedProxyMode scopedProxyMode)
Set the proxy-mode to be applied to the scoped instance.

### getScopedProxyMode

public ScopedProxyMode getScopedProxyMode()
Get the proxy-mode to be applied to the scoped instance.